×
INTELLIGENT WORK FORUMS
FOR COMPUTER PROFESSIONALS

Contact US

Log In

Come Join Us!

Are you a
Computer / IT professional?
Join Tek-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!

*Tek-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Extrude polyline

Extrude polyline

Extrude polyline

(OP)
Does anybody know a lisp that does the following:
- User selects 2d polyline
- Lisp requests extrude height
- Lisp request user to select next 2d polyl and next height or exit

Found one lisp on google, but that asks for way more input than I need..

RE: Extrude polyline

(OP)
#EDIT#

- User selects 2d polyline
- Lisp sets Z to 0
- Lisp requests extrude height
- Lisp request user to select next 2d polyl and next height or exit

RE: Extrude polyline

Are these always closed polylines? (I suppose so, otherwise couldn't extrude).

By "set to 0", set the elevation of the polyline being extruded to 0, so the extruded solid goes from 0 to "height"?

Set other polylines to 0 elevation, or keep elevation as-is?

RE: Extrude polyline

(OP)
I have managed to get the following lisp working (Like a charm I might add.. ;))

CODE

(defun c:3dg ( / a)
(setq clay (getvar "clayer"))

;THE LOOP MUST START HERE
 
(command "layer" "set" "Hulplijnen" nil)
  (command "_.PLINE")

      (while (= (getvar "CMDNAMES") "PLINE")

            (command pause)

      );end while

  (initget 7)
  (setq a (getdist "\nVoer hoogte dakvlak in : "))
  (COMMAND "_extrude" (entlast) "" a)
  (command "chprop" (entlast) "" "LA" "Dakplan" "")

;THE LOOP MUST END HERE
    
    (command ".-Layout" "T" "F:/Projecten/Autocad/Tekeningen/Standaardtekening 2008.dwg" "2007.001-01.01")
    (command ".-Layout" "R" "Layout1-2007.001-01.01" "Gevelaanzicht")
    (command ".-Layout" "S" "Gevelaanzicht")

      (command "_.MSPACE")
      (command "zoom" "extents")

  (setvar "perspective" 1)
  (command "_vscurrent")(command "_C")
 
  (command "._3dorbit")

(setvar "clayer" clay)
 
  (princ)
);end defun

The code like this works perfect, but only allowes the user to extrude one roof.. I cant get the loop around the poly and extrude to work. Anybody got an idea?

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Tek-Tips Forums free from inappropriate posts.
The Tek-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Tek-Tips forums is a member-only feature.

Click Here to join Tek-Tips and talk with other members! Already a Member? Login

Close Box

Join Tek-Tips® Today!

Join your peers on the Internet's largest technical computer professional community.
It's easy to join and it's free.

Here's Why Members Love Tek-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close